Name: libfm-qt
Version: 0.14.1
Release: 199.2%{?dist}
Summary: Companion library for PCManFM
License: GPLv2+
URL: http://www.gd-linux.com
Source0: %{name}-%{version}.tar.gz

BuildRequires: nde-build-tools >= 0.0.1
BuildRequires: pkgconfig(Qt5Help)
BuildRequires: pkgconfig(Qt5X11Extras)
BuildRequires: qt5-qtbase-private-devel
%{?_qt5:Requires: %{_qt5}%{?_isa} = %{_qt5_version}}
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xcb)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(gio-unix-2.0)
BuildRequires: pkgconfig(libfm)
BuildRequires: nde-lib-devel >= 0.0.1
BuildRequires: kf5-kwindowsystem-devel
BuildRequires: pkgconfig(libmenu-cache) >= 0.3.0
BuildRequires: libexif-devel
BuildRequires: libdrmicon
BuildRequires: libfm-devel
%if 0%{?el7}
BuildRequires:  devtoolset-7-gcc-c++
%endif
BuildRequires: menu-cache-devel
BuildRequires: libmount-devel

BuildRequires:  kf5-kcoreaddons-devel
BuildRequires:  kf5-ki18n-devel
BuildRequires:  kf5-kio-devel

Requires:  e2fsprogs
Requires:  ntfsprogs
Requires:  xfsprogs
Requires:  dosfstools
Requires:  libdrmicon
Obsoletes: libfm-qt5 <  0.11.0
Obsoletes: libfm-qt4 <= 0.9.0
Obsoletes: libfm-qt-common <= 0.9.0
Provides: libfm-qt5 = %{version}
Requires:  %{name}-l10n = %{version}-%{release}
%description
Libfm-Qt is a companion library providing components to build
desktop file managers.

%package devel
Summary: Development files for libfm-qt
Requires: libfm-qt%{?_isa} = %{version}-%{release}
Requires: menu-cache-devel
Requires:  libmount-devel
Obsoletes: libfm-qt-devel <= 0.9.0
Obsoletes: libfm-qt5-devel < 0.11.0
Obsoletes: libfm-qt4-devel <= 0.9.0
Provides: libfm-qt5-devel = %{version}

%description devel
libfm-qt-devel package contains libraries and header files for
developing applications that use libfm-qt.


%package l10n
Summary:        Translations for libfm-qt
Requires:       %{name} = %{version}-%{release}
%description l10n
This package provides translations for the libfm-qt package.

%prep
%setup -q

%build
%if 0%{?el7}
scl enable devtoolset-7 - <<\EOF
%endif
mkdir -p %{_target_platform}
pushd %{_target_platform}
    %{cmake_nde} -DPULL_TRANSLATIONS=NO ..
popd

make %{?_smp_mflags} -C %{_target_platform}
%if 0%{?el7}
EOF
%endif

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}
#mkdir -p %{buildroot}/%{_sysconfdir}/tmpfiles.d
#mkdir -p %{buildroot}/%{_sysconfdir}/udev/rules.d
#cp %{_builddir}/%{name}-%{version}/src/media.conf %{buildroot}/%{_sysconfdir}/tmpfiles.d/
#cp %{_builddir}/%{name}-%{version}/src/99-udisks2.rules %{buildroot}/%{_sysconfdir}/udev/rules.d/

# We need fix this upstream
find %{buildroot} -size 0 -delete

# The following line is an ugly workaround for upstream issue
# https://github.com/lxqt/libfm-qt/issues/350
sed -i "s/Requires:.*/Requires: Qt5Widgets Qt5X11Extras/" %{buildroot}/%{_libdir}/pkgconfig/libfm-qt.pc

%find_lang libfm-qt --with-qt

%ldconfig_scriptlets

%files
%doc AUTHORS CHANGELOG README.md
%license LICENSE
%{_libdir}/libfm-qt.so
%{_libdir}/libfm-qt.so.6*
%{_datadir}/libfm-qt
#%{_sysconfdir}/tmpfiles.d/media.conf
#%{_sysconfdir}/udev/rules.d/99-udisks2.rules

%files devel
%{_libdir}/libfm-qt.so
%{_libdir}/pkgconfig/libfm-qt.pc
%{_includedir}/libfm-qt/
%dir %{_datadir}/cmake/fm-qt
%{_datadir}/cmake/fm-qt/*
%{_datadir}/libfm-qt/archivers.list
%{_datadir}/libfm-qt/terminals.list
%{_datadir}/mime/packages/libfm-qt-mimetypes.xml

%files l10n -f libfm-qt.lang
%doc AUTHORS CHANGELOG README.md
%license LICENSE
%dir %{_datadir}/libfm-qt/translations

%changelog
* Tue Dec 31 2024 heleilei <he.leilei@gd-linux.com> - 0.14.1-199.2
- fix build error

* Mon Dec 30 2024 heleilei <he.leilei@gd-linux.com> - 0.14.1-199.1
- fix build error

* Wed Nov 10 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-199
- 修复中文翻译问题

* Fri Oct 08 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-198
- 调整桌面图标宽度

* Thu Sep 30 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-197
- 禁止删除用户目录下的默认文件夹和桌面的默认图标

* Tue Sep 28 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-196
- 拖动用户目录下的默认文件夹到其他路径时以copy的形式而不是以move形式

* Mon Sep 27 2021 Li Shengsong <li.shengsong@zte.com.cn> - 0.14.1-195
- 磁盘挂载点多国语言支持（#4240）

* Wed Sep 22 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-194
- 异常关闭文件夹后，将文件夹删除，点击文件管理器，点击恢复关闭前状态，出现空目录(#4204)

* Mon Sep 13 2021 Luo Junchao <luo.junchao@gd-linux.cn> - 0.14.1-193
- 修复文件对话框的文件监视器创建失败的问题

* Mon Sep 13 2021 Luo Junchao <luo.junchao@gd-linux.cn> - 0.14.1-192
- 修复文件对话框无法关闭属性框，修复文件对话框添加文件不显示

* Fri Sep 03 2021 Wu Shangmin <wu.shangmin@zte.com.cn> 0.14.1-191
- 文件管理器中的多个文件剪切粘贴至其他路径，只显示出部分(#4065)

* Wed Sep 01 2021 Zhou Tuan <zhou.tuan@zte.com.cn> - 0.14.1-190
- 修复输入法输入问题，关闭自动补齐功能

* Wed Sep 01 2021 Wu shangmin <wu.shangmin@zte.com.cn> - 0.14.1-189
- 添加判断是否为用户目录默认文件夹接口

* Tue Aug 24 2021 Wu shangmin <wu.shangmin@zte.com.cn> - 0.14.1-188
- 系统语言非简体中文时，桌面图标间的间距异常(#3993)

* Mon Aug 23 2021 Li Shengsong <li.shengsong@gd-linux.cn> - 0.14.1-187
- 修复翻译问题

* Tue Jul 27 2021 Li Shengsong <li.shengsong@gd-linux.cn> - 0.14.1-186
- 优化文件替换界面，文件属性界面

* Wed Jul 21 2021 Luo Junchao <luo.junchao@gd-linux.cn> - 0.14.1-185
- 蓝牙设备界面已经有发送任务禁止再次点击

* Mon Jul 19 2021 Luo Junchao <luo.junchao@gd-linux.cn> - 0.14.1-184
- 修复翻译文件

* Mon Jul 19 2021 Li shengsong <li.shengsong@gd-linux.cn> - 0.14.1-183
- 汉化全部QMessagebox弹窗按钮

* Fri Jul 16 2021 Luo Junchao <luo.junchao@gd-linux.cn> - 0.14.1-182
- 优化蓝牙菜单的状态和控制中心的蓝牙状态同步

* Thu Jul 15 2021 Luo Junchao <luo.junchao@gd-linux.cn> - 0.14.1-181
- 优化剪切文件夹时同名覆盖拒绝的问题

* Thu Jul 15 2021 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.14.1-180
- 修复远程目录显示收藏夹功能的问题

* Wed Jul 14 2021 Luo Junchao <luo.junchao@gd-linux.cn> - 0.14.1-179
- 限制表头最小宽度，防止文字和图标重叠

* Wed Jul 14 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-178
- 回退收藏加文件重命名问题(#3761)

* Wed Jul 14 2021 Luo Junchao <luo.junchao@gd-linux.cn> - 0.14.1-177
- 修复ssh远程目录右键菜单闪退的问题

* Wed Jul 14 2021 Luo Junchao <luo.junchao@gd-linux.cn> - 0.14.1-176
- 优化右键重命名弹窗和覆盖崩溃的问题

* Tue Jul 13 2021 Luo Junchao <luo.junchao@gd-linux.cn> - 0.14.1-175
- 添加蓝牙发送模块

* Tue Jul 13 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-174
- 修复收藏夹中的文件重命名未生效问题(#3761)

* Fri Jul 9 2021 Luo Junchao <luo.junchao@gd-linux.cn> - 0.14.1-173
- 文件夹表头最后一项添加分割线

* Fri Jul 2 2021 Li Shengsong <li.shengsong@gd-linux.cn> - 0.14.1-172
- 增加libfm-qt和libfm-qt-l10n相互依赖

* Thu Jul 01 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-171
- 回退代码

* Thu Jul 01 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-170
- 回退文件管理器地址栏不及时更新问题

* Thu Jul 1 2021 Luo Junchao <luo.junchao.gd-linux.cn> - 0.14.1-169
- 修改远程服务拖动到本地为复制操作

* Wed Jun 30 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-168
- 修复自定义文件管理器窗口点击地址栏崩溃问题(#3770)

* Wed Jun 30 2021 Li Shengsong <li.shengsong.gd-linux.cn> - 0.14.1-167
- 修复文件管理器弹窗图标不明确问题

* Tue Jun 29 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-166
- 修复地址栏不更新问题

* Wed Jun 23 2021 Luo Junchao <luo.junchao.gd-linux.cn> - 0.14.1-165
- 修复拖动到远程文件夹的实时刷新问题和由远程文件时重命名对话框触发的事件不生效的问题

* Tue Jun 22 2021 Li Shengsong <li.shengsong.gd-linux.cn> - 0.14.1-164
- 在libfm-qt包中增加libfm-qt.so动态链接库

* Tue Jun 22 2021 Luo Junchao <luo.junchao.gd-linux.cn> - 0.14.1-163
- 优化支持拖动文件到左边快捷入口

* Tue Jun 22 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-162
- 修复文件管理器地址栏不及时更新问题(#3692)

* Mon Jun 21 2021 Luo Junchao <luo.junchao.gd-linux.cn> - 0.14.1-161
- 优化操作远程文件实时刷新的问题

* Thu Jun 17 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-160
- 修复"."开头文件无法显示问题(#3720)

* Fri Apr 09 2021 Zhou Tuan <zhou.tuan@zte.com.cn> - 0.14.1-159
- 修复计算机界面部分磁盘大小显示不完整的问题

* Thu Apr 01 2021 Zhou Tuan <zhou.tuan@zte.com.cn> - 0.14.1-158
- 去掉一些本来是udisks2包的配置文件

* Thu Mar 25 2021 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.14.1-157
- 修改桌面圆角混成器判断

* Wed Mar 24 2021 lv kaiyi<lv.kaiyi@zte.com.cn> - 0.14.1-156
- 修改翻译文件

* Tue Mar 23 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-155
- 修复ctrl+鼠标滚轮放大缩小图标空出一列的问题

* Mon Mar 22 2021 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.14.1-154
- nde-archiver补充类型

* Fri Mar 19 2021 He Leilei <he.leilei@zte.com.cn> - 0.14.1-153
- 补充gz类型(wu.jiaheng),优化再次点击触发重命名

* Fri Mar 19 2021 He Leilei <he.leilei@zte.com.cn> - 0.14.1-152
- 优化再次点击触发重命名

* Thu Mar 18 2021 Wu Jiaheng<wu.jiaheng@zte.com.cn> - 0.14.1-151
- 补全类型

* Fri Mar 12 2021 lv kaiyi<lv.kaiyi@zte.com.cn> - 0.14.1-150
- 地址栏弹簧显示问题

* Wed Mar 10 2021 wu jiaheng<wu.jiaheng@zte.com.cn> - 0.14.1-149
- 压缩模式下点击保存按钮不会打开目录，传递后缀名

* Wed Mar 10 2021 lv kaiyi<lv.kaiyi@zte.com.cn> - 0.14.1-148
- 增加取消收藏提示，增加地址栏收藏夹间距

* Tue Mar 09 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-147
- 修复桌面文字两行显示问题

* Tue Mar 09 2021 zhou tuan <zhou.taun@zte.com.cn> - 0.14.1-146
- 修改文件重命名框样式

* Fri Mar 05 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-145
- 恢复文件hover功能

* Wed Mar 03 2021 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.14.1-144
- 限制桌面鼠标右键菜单的最大长度

* Wed Mar 03 2021 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.14.1-143
- 取消过滤功能时取消名字的目录判断

* Mon Mar 01 2021 He Leilei <he.leilei@zte.com.cn> - 0.14.1-142
- 再次点击选中项可重命名,修复桌面重命名框透明的问题

* Fri Feb 26 2021 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.14.1-141
- 设置接口取消filedialog的过滤栏功能，改为后缀名栏

* Sat Feb 20 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-140
- 修复文件管理器图标模式图标大小不对的问题

* Mon Feb 08 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-139
- UX-文件管理器-左右宽度一致(#3339)
- UX-文件管理器-按住CTRL键放大缩小图标,上下左右间距与图标大小缩放(#3340)

* Wed Feb 03 2021 zhou tuan <zhou.taun@zte.com.cn> - 0.14.1-138
- 去掉文件hover功能

* Fri Jan 29 2021 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.14.1-137
- filedialog取消更改树状图样式，添加翻译，修改sidepane滑动条边缘颜色，取消重命名画笔

* Fri Jan 29 2021 He Leilei <he.leilei@zte.com.cn> - 0.14.1-136
- 回退 再次点击选中项可重命名

* Wed Jan 27 2021 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.14.1-135
- 修复我的电脑可以重命名的问题，超时后再次点击不会触发重命名

* Wed Jan 27 2021 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.14.1-134
- 修改列表视图下重命名输入框偏移问题

* Wed Jan 27 2021 He Leilei <he.leilei@zte.com.cn> - 0.14.1-133
- 再次点击选中项可重命名，右键可能出现的崩溃问题，重命名框太小的问题。

* Wed Jan 20 2021 zhou tuan <zhou.taun@zte.com.cn> - 0.14.1-132
- 修复计算机页面移动磁盘弹出后还显示重命名磁盘问题

* Mon Jan 18 2021 zhou tuan <zhou.taun@zte.com.cn> - 0.14.1-131
- 在计算机页面，U盘制作镜像盘不再提供重命名入口

* Mon Jan 11 2021 zhou tuan <zhou.taun@zte.com.cn> - 0.14.1-130
- 修复文件修改时间不能及时更新的问题

* Thu Jan 07 2021 zhou tuan <zhou.taun@zte.com.cn> - 0.14.1-129
- 修复dvd光驱显示重命名问题

* Tue Jan 5 2021 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.14.1-128
- 修复一些不能重命名的设备不显示重命名选项

* Tue Jan 5 2021 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.14.1-127
- 处理多个文件不能压缩zip问题

* Tue Dec 08 2020 zhou tuan <zhou.taun@zte.com.cn> - 0.14.1-126
- 修复依赖问题

* Fri Dec 04 2020 zhou tuan <zhou.taun@zte.com.cn> - 0.14.1-125
- 修复个别移动硬盘无法显示图标问题(#3031)

* Thu Dec 03 2020 zhou tuan <zhou.taun@zte.com.cn> - 0.14.1-124
- 将libmount依赖改成libmount-devel依赖

* Thu Dec 03 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-123
- 添加libmount依赖

* Fri Nov 27 2020 zhou tuan  <zhou.tuan@zte.com.cn> - 0.14.1-122
- 只有挂载了home才在文件管理器左侧显示用户磁盘

* Fri Nov 27 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-121
- 修改文件管理器列表视图边距
- 去掉详细列表视图选中圆角效果

* Mon Nov 23 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-120
- 修改文件管理器详细列表样式(1253)

* Fri Nov 20 2020 wu jiaheng <wu.jiaheng@zte.com.cn> - 0.14.1-119
- 修改计算机页面home磁盘的显示逻辑

* Mon Nov 16 2020 wu jiaheng <wu.jiaheng@zte.com.cn> - 0.14.1-118
- 远程连接保存密码

* Thu Oct 29 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.14.1-117
- 添加获取文档加密图标
- 修复保存文件管理器窗口记录失败的问题

* Thu Oct 29 2020 He Leilei  <he.leilei@zte.com.cn> - 0.14.1-116
- 修改右键菜单样式

* Tue Oct 20 2020 lv kaiyi  <lv.kaiyi@zte.com.cn> - 0.14.1-115
- 文件管理器添加选中第一个文件接口

* Thu Oct 15 2020 zhou tuan  <zhou.tuan@zte.com.cn> - 0.14.1-114
- 修改计算机页面左侧的系统磁盘显示名称

* Tue Oct 13 2020 zhou tuan  <zhou.tuan@zte.com.cn> - 0.14.1-113
- 修复多分区磁盘卸载/弹出问题

* Mon Oct 12 2020 lv kaiyi  <lv.kaiyi@zte.com.cn> - 0.14.1-112
- 增加保存文件管理器打开记录功能

* Fri Oct 9 2020 lv kaiyi  <lv.kaiyi@zte.com.cn> - 0.14.1-111
- 修改文件夹快捷方式打开方式

* Fri Sep 25 2020 lv kaiyi  <lv.kaiyi@zte.com.cn> - 0.14.1-110
- 修复解析链接路径错误到问题

* Thu Sep 24 2020 lv kaiyi  <lv.kaiyi@zte.com.cn> - 0.14.1-109
- 收藏成功后，显示收藏成功提示

* Tue Sep 22 2020 lv kaiyi  <lv.kaiyi@zte.com.cn> - 0.14.1-108
- 修复文件重命名后，对应收藏夹项会自动关联
- 文件名相同收藏夹会修改显示名称
- 删除文件，收藏夹对应收藏项不会删除到问题
- 远程连接根目录不能显示收藏

* Mon Sep 21 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-107
- 修复文件或文件夹无法直接拖动到回收站视图问题(#2823)
- 修复远程服务器拖动文件不是复制问题(#2825)

* Fri Sep 18 2020 zhou tuan <zhou.tuan@zte.com.cn> - 0.14.1-106
- 添加计算机界面下移动磁盘右键弹出选项

* Thu Sep 17 2020 zhou tuan <zhou.tuan@zte.com.cn> - 0.14.1-105
- 修复多分区磁盘全部卸载之后不能弹出问题

* Thu Sep 17 2020 lv kaiyi  <lv.kaiyi@zte.com.cn> - 0.14.1-104
- 修改搜索结果数量显示不正确，搜索结果显示两个相同文件问题
- 收藏夹重命名后收藏项失效的问题

* Wed Sep 16 2020 zhou tuan <zhou.tuan@zte.com.cn> - 0.14.1-103
- 修复不能打开根目录下bin,sbin,lib,lib64等连接目录问题

* Mon Sep 14 2020 zhou tuan <zhou.tuan@zte.com.cn> - 0.14.1-102
- 修复概率性不能弹出的问题

* Thu Sep 10 2020 zhou tuan <zhou.tuan@zte.com.cn> - 0.14.1-101
- 修复远程连接卸载失败问题

* Thu Sep 10 2020 wu jiaheng <wu.jiaheng@zte.com.cn> - 0.14.1-100
- 添加汉化

* Wed Sep 09 2020 zhou tuan <zhou.tuan@zte.com.cn> - 0.14.1-99
- 修复移动磁盘卸载闪退问题

* Wed Sep 09 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-98
- 修复获取复制中文路径乱码问题

* Wed Sep 09 2020 zhou tuan <zhou.tuan@zte.com.cn> - 0.14.1-97
- 修改计算机界面的文件系统和home不能重命名

* Tue Sep 08 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-96
- 修复拖动复制问题

* Mon Sep 07 2020 lv kaiyi  <lv.kaiyi@zte.com.cn> - 0.14.1-95
- 删除收藏夹文件删除相对应记录
- 双击链接文件夹，直接打开对应的文件夹

* Mon Sep 07 2020 lv kaiyi  <lv.kaiyi@zte.com.cn> - 0.14.1-94
- 修复闪退问题

* Thu Sep 03 2020 lv kaiyi  <lv.kaiyi@zte.com.cn> - 0.14.1-93
- 添加收藏夹功能

* Thu Sep 03 2020 zhou tuan <zhou.tuan@zte.com.cn> - 0.14.1-92
- 修复新窗口打开，再卸载磁盘之后焦点不正确以及闪退问题

* Wed Sep 02 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-91
- 修复文件夹内拖动会复制问题(#2720)
- desktop应用粘贴时，如有相同文件显示名也需添加“复件”(#2778)

* Fri Aug 28 2020 zhou tuan <zhou.tuan@zte.com.cn> - 0.14.1-90
- 修复home图标显示不正确问题

* Thu Aug 27 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-89
- 修复desktop应用重命名相同的问题(#2724)
- 去掉“连接至服务器”右键中的“在新标签页打开”和“在新窗口中打开”功能(#2739)

* Tue Aug 25 2020 lv kaiyi  <lv.kaiyi@zte.com.cn> - 0.14.1-88
- 文件管理器添加递归显示文件的功能

* Mon Aug 24 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-87
- 修复应用名有特殊转义字符无法重命名问题(#2683)
- 不支持创建快捷方式时，弹出提示框

* Thu Aug 20 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-86
- 修改创建文件或文件夹不需要弹框(#2630)(#2631)
- 修改shift+delete删除文件按enter键的默认焦点(#2662)

* Thu Aug 20 2020 zhou tuan <zhou.tuan@zte.com.cn> - 0.14.1-85
- 修复插拔U盘，文件管理器没有及时刷新的问题

* Thu Aug 20 2020 zhou tuan <zhou.tuan@zte.com.cn> - 0.14.1-84
- 修复卸载或弹出挂载设备焦点错误以及闪退问题

* Wed Aug 19 2020 lv kaiyi  <lv.kaiyi@zte.com.cn> - 0.14.1-83
- 修复文件管理器闪退原因

* Mon Aug 17 2020 zhou tuan <zhou.tuan@zte.com.cn> - 0.14.1-82
- 修复computer:///下显示home的bug

* Mon Aug 17 2020 zhou tuan <zhou.tuan@zte.com.cn> - 0.14.1-81
- 在computer:///下添加home的显示

* Mon Aug 17 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-80
- 修复桌面应用快捷方式重命名卡死问题(#2603)
- 修复属性框中desktop文件重命名失败问题(#2599)
- 修复创建快捷方式中文乱码问题
- 恢复快捷方式小图标

* Mon Aug 17 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.14.1-79
- 修复文件管理器右键连接到服务闪退，重新打开文件管理器远程连接右键菜单没有卸载功能

* Thu Aug 13 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-78
- 禁止复制、剪切桌面默认应用文件
- 创建多个快捷方式时不需要弹框提示重复命名

* Thu Aug 13 2020 zhou tuan <zhou.tuan@zte.com.cn> - 0.14.1-77
- 修复进入磁盘文件夹后，左侧的弹出图标显示不正常问题

* Thu Aug 13 2020 zhou tuan <zhou.tuan@zte.com.cn> - 0.14.1-76
- 修复拔出移动硬盘，文件管理器闪退问题

* Thu Aug 13 2020 zhou tuan <zhou.tuan@zte.com.cn> - 0.14.1-75
- 添加网络链接的卸载功能

* Mon Aug 10 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-74
- 不允许桌面默认图标的复制或移动到其它路径
- 添加获取压缩及压缩到的QAction的函数

* Fri Aug 07 2020 zhou tuan <zhou.tuan@zte.com.cn> - 0.14.1-73
- 不允许本地磁盘有卸载和隐藏功能

* Thu Aug 06 2020 wu jiaheng <wu.jiaheng@zte.com.cn> - 0.14.1-72
- 补传关于远程连接没记住密码

* Wed Aug 05 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.14.1-71
- 远程连接断开后，主动卸载

* Tue Aug 04 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.14.1-70
- 修改选中placeview中item是否有效的判断条件

* Mon Aug 03 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-69
- 屏蔽回收站、计算机中右键菜单的部分无用功能
- 修复压缩成zip的中文乱码问题(#2420)
- 修复回收站右键文件闪退问题(#2461)

* Fri Jul 31 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.14.1-68
- 添加远程连接卸载功能

* Fri Jul 31 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.14.1-67
- 修改远程连接根目录时显示背景颜色异常，禁止左侧菜单栏拖动

* Fri Jul 31 2020 wu jiaheng <wu.jiaheng@zte.com.cn> - 0.14.1-66
- 记住远程密码

* Thu Jul 30 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-65
- 修复同一个路径下无法进行多次复制问题(#2442)
- 修复复件文件无法打开问题(#2432)
- 修复右键文件属性窗口顶至问题

* Wed Jul 29 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-64
- 修复右键菜单默认打开程序随文件管理器最小化而最小化问题(#2334)

* Tue Jul 28 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-63
- 右键菜单功能顺序调整

* Mon Jul 27 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.14.1-62
- 文件管理器远程连接显示在网络栏，我的电脑磁盘列表详细模式显示类型大小问题

* Mon Jul 27 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-61
- 修复移动文件到文件夹仅生成链接问题

* Thu Jul 23 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-60
- 添加文件管理器路径按钮显示的右键菜单中的功能(1939)
- 修复右键菜单偶尔会有黑边框问题

* Thu Jul 23 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.14.1-59
- ctrl + 右键，文件管理器闪退问题

* Wed Jul 22 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 0.14.1-58
- 修复磁盘设备图标问题

* Mon Jul 20 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 0.14.1-57
- 修复文件管理器弹出磁盘左侧焦点不对的问题

* Thu Jul 16 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.14.1-56
- 修改文件管理器左侧菜单栏图片泛白问题

* Thu Jul 16 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-55
- 文件管理器左侧视图右键菜单添加打开功能
- 文件管理器地址栏右键菜单重写

* Thu Jul 16 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.14.1-54
- 回收站右键菜单添加删除功能

* Wed Jul 15 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.14.1-53
- 右键菜单添加自定义菜单,文件管理器详细模式自定义列宽刷新问题


* Wed Jul 15 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 0.14.1-52
- 修复新建分区概率性点击不能进去的问题以及移动硬盘不能弹出问题

* Tue Jul 14 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.14.1-51
- 修改个人目录下文件无法重定向问题

* Tue Jul 14 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-50
- 修复复制文件被删除时”粘贴“还可用问题(#2278)

* Mon Jul 13 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 0.14.1-49
- 修复快速多次双击卸载按钮导致文件管理器闪退的问题

* Mon Jul 13 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 0.14.1-48
- 修改本地磁盘不能卸载以及右键卸载文件管理器闪退的问题

* Mon Jul 13 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-47
- 添加右键菜单中的选中图标

* Fri Jul 10 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-46
- 右键菜单样式修改及添加菜单小图标

* Wed Jul 08 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 0.14.1-45
- 修复文件管理器闪退的问题

* Mon Jul 06 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-44
- 添加右键菜单阴影

* Mon Jul 06 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.14.1-43
- 修改点击磁盘列表图片打不开磁盘问题

* Mon Jul 06 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-42
- 修复右键属性窗口随文件管理器窗口最小化而最小化问题
- 修复右键属性在任务栏中的图标不是对应应用图标问题(#2253)

* Mon Jul 06 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 0.14.1-41
- 修复挂载磁盘写权限问题

* Fri Jul 03 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-40
- 修改右键菜单样式

* Fri Jul 03 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-39
- 修复无法解压.war格式压缩包问题(#2242)

* Fri Jul 03 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-38
- 更改调用系统命名的调用函数

* Fri Jul 03 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.14.1-37
- 修改地址栏右键菜单

* Thu Jul 02 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-36
- 汉化“By File Group”

* Thu Jul 02 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-35
- 修改文件管理器查看子菜单中文命名

* Thu Jul 02 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-34
- 汉化文件管理器右键的“查看”

* Thu Jul 02 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-33
- 添加文件管理器右键菜单的“查看”功能

* Thu Jul 02 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.14.1-32
- 修改文件管理器与桌面样式

* Wed Jul 01 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 0.14.1-31
- 修复计算机显示多余设备问题

* Wed Jul 01 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-30
- 修复文件管理器不存在所有者、类型、组的排序方式问题(#2223)

* Wed Jul 01 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-29
- 修复无法解压.cbz问题(#2206)

* Tue Jun 30 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-28
- 优化图标右键重命名功能

* Tue Jun 30 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.14.1-27
- 修改文件管理器磁盘显示排列，地址栏空间

* Tue Jun 30 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 0.14.1-26
- 修改移动设备弹出图标

* Mon Jun 29 2020 lv kaiyi <lv.kaiyi@zte.com.cn>  - 0.14.1-25
- 修改磁盘剩余空间显示，快捷方式显示


* Sun Jun 28 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-24
- 修复以管理员身份运行的desktop文件弹出询问框的问题

* Tue Jun 23 2020 lv kaiyi <lv.kaiyi@zte.com.cn>  - 0.14.1-23
- 修改桌面样式

* Tue Jun 23 2020 lv kaiyi <lv.kaiyi@zte.com.cn>  - 0.14.1-22
- 修改Treeview间隔标注，滚动条样式

* Fri Jun 19 2020 lv kaiyi <lv.kaiyi@zte.com.cn>  - 0.14.1-21
- 修改treeview选中显示背景

* Thu Jun 18 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-20
- 添加一个桌面图标排序时发射清除固定图标座标的信号

* Thu Jun 18 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 0.14.1-19
- 修改磁盘命名区分大小写

* Wed Jun 17 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 0.14.1-18
- 添加磁盘重命名功能

* Tue Jun 16 2020 lv kaiyi <lv.kaiyi@zte.com.cn>  - 0.14.1-17
- 文件管理器，文件、磁盘显示布局

* Tue Jun 16 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-16
- 修复文件管理器闪退问题

* Mon Jun 15 2020  Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-15
- 屏蔽图标右键菜单中的“信任这个可执行文件”功能(1007)

* Thu Jun 11 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-14
- 修复“Compress to”无法翻译成中文问题及修改默认打开终端为ndeterminal

* Wed Jun 10 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.14.1-13
- 汉化左侧菜单栏

* Mon Jun 08 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-12
- 添加默认压缩为zip的快捷方式(1011)

* Fri Jun 5 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.14.1-11
- 修改文件管理器侧边栏，工具栏以及显示区域相关动态库

* Wed May 27 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-10
- 桌面图标具备按名称、生成时间、文件大小排序功能(1006)

* Thu May 14 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-9
- 修改NDE依赖关系(984)


